mscorlib 4.0.0.0 System.Exception To be added.

Represents an exception used to communicate an invalid operation by a .

- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "DefaultMessageDisplayedByParameterlessCtorWriterMustSupply" This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The localized error message string.

  Initializes a new instance of the class with a system-supplied message that describes the error.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the default error message and a reference to the inner exception that is the cause of this exception.

  The exception that is the cause of the current exception.
- Constructor
  4.0.0.0

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class with a specified message that describes the error.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
- Constructor
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.